from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.document import XDocumentRecovery

@runtime_checkable
class XDocumentRecovery2(XDocumentRecovery, Protocol):
    def getModifiedStateDuration(self) -> int: ...
